Bug 187008 - [PATCH] emulators/mtools: fix plist
Summary: [PATCH] emulators/mtools: fix plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-24 16:40 UTC by Anton Yuzhaninov
Modified: 2014-03-11 14:30 UTC (History)
1 user (show)

See Also:


Attachments
mtools-4.0.10.patch (438 bytes, patch)
2014-02-24 16:40 UTC, Anton Yuzhaninov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Yuzhaninov 2014-02-24 16:40:00 UTC
I can't install port with options:
===> The following configuration options are available for mtools-4.0.10_3:
     ICONV=on: Encoding conversion support via iconv
     X11=off: X11 (graphics) support
===> Use 'make config' to modify these settings

Error is:
===>   Registering installation for mtools-4.0.10_3
pkg-static: lstat(/tmp/citrin/p/usr/ports/emulators/mtools/work/stage/usr/local/man/man1/floppyd.1.gz): No such file or directory
pkg-static: lstat(/tmp/citrin/p/usr/ports/emulators/mtools/work/stage/usr/local/man/man1/floppyd_installtest.1.gz): No such file or directory
*** Error code 74

Stop.
make: stopped in /usr/ports/emulators/mtools
*** Error code 1

Port maintainer (skreuzer@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: change, diff: ports)

How-To-Repeat: make config # see above
make install
Comment 1 Edwin Groothuis freebsd_committer 2014-02-24 16:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skreuzer

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Anton Yuzhaninov 2014-02-24 17:00:52 UTC
small improvements to Makefile:
- MS-DOS is more common OS name, than MSDOS
- Add license
- USE_GMAKE is deprecated

--- /usr/ports/emulators/mtools/Makefile        2014-02-21 01:55:20.000000000 +0000
+++ ./Makefile  2014-02-24 16:54:44.000000000 +0000
@@ -9,12 +9,14 @@
  MASTER_SITE_SUBDIR=    mtools

  MAINTAINER=    skreuzer@FreeBSD.org
-COMMENT=       A collection of tools for manipulating MSDOS files
+COMMENT=       A collection of tools for manipulating MS-DOS files
+
+LICENSE=       GPLv3

  CONFLICTS_INSTALL=     multimarkdown-*

+USES=          gmake
  USE_BZIP2=     yes
-USE_GMAKE=     yes
  GNU_CONFIGURE= yes
  CONFIGURE_ENV= ac_cv_header_malloc_h=no
  CONFIGURE_ARGS=        --enable-xdf
Comment 3 dfilter service freebsd_committer 2014-03-11 14:26:34 UTC
Author: skreuzer
Date: Tue Mar 11 14:26:27 2014
New Revision: 347882
URL: http://svnweb.freebsd.org/changeset/ports/347882
QAT: https://qat.redports.org/buildarchive/r347882/

Log:
  Fix build when WITH_X11 is defined
  Define License
  Switch to USES framework
  Change MSDOS to MS-DOS in COMMENT
  
  PR:		ports/187008
  Submitted by:	Anton Yuzhaninov <citrin+hius@citrin.ru>

Modified:
  head/emulators/mtools/Makefile
  head/emulators/mtools/pkg-plist

Modified: head/emulators/mtools/Makefile
==============================================================================
--- head/emulators/mtools/Makefile	Tue Mar 11 14:03:58 2014	(r347881)
+++ head/emulators/mtools/Makefile	Tue Mar 11 14:26:27 2014	(r347882)
@@ -9,12 +9,14 @@ MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	mtools
 
 MAINTAINER=	skreuzer@FreeBSD.org
-COMMENT=	A collection of tools for manipulating MSDOS files
+COMMENT=	A collection of tools for manipulating MS-DOS files
+
+LICENSE=	GPLv3
 
 CONFLICTS_INSTALL=	multimarkdown-*
 
+USES=	gmake
 USE_BZIP2=	yes
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	ac_cv_header_malloc_h=no
 CONFIGURE_ARGS=	--enable-xdf

Modified: head/emulators/mtools/pkg-plist
==============================================================================
--- head/emulators/mtools/pkg-plist	Tue Mar 11 14:03:58 2014	(r347881)
+++ head/emulators/mtools/pkg-plist	Tue Mar 11 14:26:27 2014	(r347882)
@@ -29,8 +29,8 @@ bin/mtoolstest
 bin/mtype
 bin/mxtar
 bin/mzip
-man/man1/floppyd.1.gz
-man/man1/floppyd_installtest.1.gz
+%%X11%%man/man1/floppyd.1.gz
+%%X11%%man/man1/floppyd_installtest.1.gz
 man/man1/mattrib.1.gz
 man/man1/mbadblocks.1.gz
 man/man1/mcat.1.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Steven Kreuzer freebsd_committer 2014-03-11 14:27:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!